@import url("https://fonts.googleapis.com/css2?family=Montserrat:wght@100;200;300;400;500;600;700;800;900&display=swap");

*,
html,
body {
  margin: 0;
  padding: 0;
  width: 100%;
  height: 100vh;
  font-family: "Montserrat", sans-serif;
  position: relative;
  overflow: hidden;
}

h1 {
  position: absolute;
  
}

.circle {
  position: absolute;
  background: linear-gradient(-45deg, #ee7752, #e73c7e, #23a6d5, #23d5ab);
  background-size: 500% 500%;
  clip-path: circle(100%);
  animation: gradient 5s ease infinite forwards;
  transition-property: all;
  transition-duration: 0.1s;
  transition-timing-function: ease-in-out;
  width: 100px;
  height: 100px;
}

@keyframes gradient {
  0% {
    background-position: 0% 50%;
  }
  50% {
    background-position: 100% 50%;
  }
  100% {
    background-position: 0% 50%;
  }
}

.stop {
  clip-path: circle(50%);
}
